﻿using Syncfusion.Windows.Forms.Tools;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace MiniToolBar_RichTextBox
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            string path = Application.StartupPath + @"..\..\..\Introduction.rtf";
            this.richTextBox1.LoadFile(path, RichTextBoxStreamType.RichText);
            this.toolStripButton1.Click += ToolStripButton1_Click;
            this.toolStripButton2.Click += ToolStripButton2_Click;
            this.toolStripButton3.Click += ToolStripButton3_Click;
            this.toolStripSplitButtonEx1.Click += ToolStripSplitButtonEx1_Click;
            this.toolStripSplitButtonEx1.DropDown = new CustomDropDown(colorPickerUIAdv1);
            this.colorPickerUIAdv1.Picked += ColorPickerUIAdv1_Picked;
        }

        private void ColorPickerUIAdv1_Picked(object sender, ColorPickerUIAdv.ColorPickedEventArgs args)
        {
            this.richTextBox1.SelectionBackColor = args.Color;
        }

       

        private void ToolStripSplitButtonEx1_Click(object sender, EventArgs e)
        {
            if (this.richTextBox1.SelectedText != null)
            {
                this.richTextBox1.SelectionBackColor = Color.Red;
            }
        }

        private void ToolStripButton3_Click(object sender, EventArgs e)
        {
            if (this.richTextBox1.SelectedText != null)
            {
                this.richTextBox1.SelectionFont = new Font(this.richTextBox1.SelectionFont, FontStyle.Underline);

            }
        }

        private void ToolStripButton2_Click(object sender, EventArgs e)
        {
            if (this.richTextBox1.SelectedText != null)
            {
                this.richTextBox1.SelectionFont = new Font(this.richTextBox1.SelectionFont, FontStyle.Italic);
            }
        }

        private void ToolStripButton1_Click(object sender, EventArgs e)
        {
            if(this.richTextBox1.SelectedText != null)
            {
                this.richTextBox1.SelectionFont = new Font(this.richTextBox1.SelectionFont, FontStyle.Bold);               
            }
        }
    }

    public class CustomDropDown : ToolStripDropDown
    {
        public CustomDropDown(ColorPickerUIAdv colorpicker)
        {
            this.Height = colorpicker.Height;           
            this.Items.Add(new ToolStripControlHost(colorpicker));
        }
    }

}
